
Ruby - Bug #5357

Indentation of nested operators should nest

09/23/2011 07:02 PM - now (Nikolai Weibull)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: trunk Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Hi!

Currently,

return if

  hash.

    values_at(:a, :b, :c).

    reject{ |e| e.nil? or e.empty? }.

    empty?

 is indented

as

return if

  hash.

  values_at(:a, :b, :c).

  reject{ |e| e.nil? or e.empty? }.

  empty?

 I would prefer it to be indented as in the first example.

Related issues:

Related to Ruby - Feature #6823:  Where/how should ruby-mode issues be reported? Closed

History

#1 - 03/11/2012 03:52 PM - ko1 (Koichi Sasada)

- Category set to misc

- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)

#2 - 12/03/2012 11:35 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Feedback

Your first example seems inconsistent, why are the last 3 lines indented at the same column?

It would be:

return if

  hash.

    values_at(:a, :b, :c).

      reject{ |e| e.nil? or e.empty? }.

        empty?

 But it doesn't look nice to me.

#3 - 12/03/2012 07:59 PM - regularfry (Alex Young)

On 03/12/12 02:35, nobu (Nobuyoshi Nakada) wrote:

Issue #5357 has been updated by nobu (Nobuyoshi Nakada).
Status changed from Assigned to Feedback

Your first example seems inconsistent, why are the last 3 lines indented at the same column?

It would be:

return if

  hash.

    values_at(:a, :b, :c).

      reject{ |e| e.nil? or e.empty? }.

        empty?

 But it doesn't look nice to me.

 Indenting the last 3 lines highlights that the method chain is hanging

off hash.  I do this myself.

--

Alex

#4 - 01/26/2013 06:45 AM - drbrain (Eric Hodel)

- Status changed from Feedback to Assigned

- Target version set to 2.6

#5 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#6 - 08/01/2019 01:24 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed

ruby-mode.el was dropped in f03e68edb80dca962290d1fb3a6d49dabdbb911e.

#7 - 08/01/2019 08:48 AM - nobu (Nobuyoshi Nakada)

- Description updated

The ruby-mode.el in Emacs 26 seems to indent as the first example.
